Package com.pixelmed.convert

## Class IndexedLabelMapToSegmentation.LabelInformation

- java.lang.Object
- - com.pixelmed.convert.IndexedLabelMapToSegmentation.LabelInformation

- Enclosing class:
    IndexedLabelMapToSegmentation

      protected class IndexedLabelMapToSegmentation.LabelInformation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LabelInformation​(java.lang.String codeMeaning, java.lang.String side, int indexValue, java.lang.String conceptUniqueIdentifier, java.lang.String conceptIdentifier, java.lang.String snomedCodeValue, java.lang.String fmaCodeValue, java.lang.String dcmCodeValue, java.lang.String red, java.lang.String green, java.lang.String blue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CodedSequenceItem` | `getCodedSequenceItem()` |
    `Attribute` | `getRecommendedDisplayCIELabValue()` |
    `boolean` | `hasCode()` |
    `boolean` | `hasColor()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelInformation

          public LabelInformation​(java.lang.String codeMeaning,
                                  java.lang.String side,
                                  int indexValue,
                                  java.lang.String conceptUniqueIdentifier,
                                  java.lang.String conceptIdentifier,
                                  java.lang.String snomedCodeValue,
                                  java.lang.String fmaCodeValue,
                                  java.lang.String dcmCodeValue,
                                  java.lang.String red,
                                  java.lang.String green,
                                  java.lang.String blue)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hasCode

          public boolean hasCode()

    - #### getCodedSequenceItem

          public CodedSequenceItem getCodedSequenceItem()
                                                 throws DicomException

      Throws:
        `DicomException`

    - #### hasColor

          public boolean hasColor()

    - #### getRecommendedDisplayCIELabValue

          public Attribute getRecommendedDisplayCIELabValue()
                                                     throws DicomException

      Throws:
        `DicomException`